%define		xfce_version	4.20.0
Summary:	Settings manager for the Xfce desktop environment
Summary(pl.UTF-8):	Menadżer ustawień dla środowiska Xfce
Name:		xfce4-settings
Version:	4.20.1
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	https://archive.xfce.org/src/xfce/xfce4-settings/4.20/%{name}-%{version}.tar.bz2
# Source0-md5:	f6a275e5e7c30dcceb4daa480375f8d0
URL:		https://www.xfce.org/projects/xfce4-settings/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.8
BuildRequires:	colord-devel >= 1.0.2
BuildRequires:	dbus-glib-devel >= 0.84
BuildRequires:	exo-devel >= 4.15.1
BuildRequires:	fontconfig-devel >= 2.6.0
BuildRequires:	garcon-devel >= 0.1.10
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.72.0
BuildRequires:	gtk+3-devel >= 3.24.0
BuildRequires:	intltool
BuildRequires:	libcanberra-devel
BuildRequires:	libinput-devel
BuildRequires:	libnotify-devel
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel >= 4.20.0
BuildRequires:	libxfce4util-devel >= %{xfce_version}
BuildRequires:	libxklavier-devel
BuildRequires:	pkgconfig
BuildRequires:	upower-devel
BuildRequires:	xfce4-dev-tools >= %{xfce_version}
BuildRequires:	xfconf-devel >= 4.20.0
BuildRequires:	xorg-driver-input-libinput-devel
BuildRequires:	xorg-lib-libXcursor-devel >= 1.1.0
BuildRequires:	xorg-lib-libXi-devel >= 1.2.0
BuildRequires:	xorg-lib-libXrandr-devel
BuildRequires:	xorg-proto-inputproto-devel >= 1.4.0
Requires:	xfconf >= %{xfce_version}
Obsoletes:	xfce-mcs-manager < 4.16
Obsoletes:	xfce-mcs-plugins < 4.16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The settings manager allows you to customize your Xfce desktop
environment in an easy and intuitive way.

%description -l pl.UTF-8
Menadżer ustawień pozwala w łatwy i intuicyjny sposób dostosowywać
środowisko Xfce.

%prep
%setup -q
%{__sed} -i '1s,/usr/bin/env python3$,%{__python3},' \
                dialogs/mime-settings/helpers/xfce4-compose-mail

mkdir -p m4

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-sound-settings \
	--enable-upower-glib

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/gtk-3.0/modules/libxfsettingsd-gtk-settings-sync.la

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{hye,ie,ur_PK}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{hy_AM,hy}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md
%attr(755,root,root) %{_bindir}/xfce4-accessibility-settings
%attr(755,root,root) %{_bindir}/xfce4-appearance-settings
%attr(755,root,root) %{_bindir}/xfce4-color-settings
%attr(755,root,root) %{_bindir}/xfce4-display-settings
%attr(755,root,root) %{_bindir}/xfce4-find-cursor
%attr(755,root,root) %{_bindir}/xfce4-keyboard-settings
%attr(755,root,root) %{_bindir}/xfce4-mime-helper
%attr(755,root,root) %{_bindir}/xfce4-mime-settings
%attr(755,root,root) %{_bindir}/xfce4-mouse-settings
%attr(755,root,root) %{_bindir}/xfce4-settings-editor
%attr(755,root,root) %{_bindir}/xfce4-settings-manager
%attr(755,root,root) %{_bindir}/xfsettingsd
%attr(755,root,root) %{_libdir}/gtk-3.0/modules/libxfsettingsd-gtk-settings-sync.so
%dir %{_libdir}/xfce4/settings
%attr(755,root,root) %{_libdir}/xfce4/settings/appearance-install-theme
%attr(755,root,root) %{_libdir}/xfce4/xfce4-compose-mail
%{_sysconfdir}/xdg/autostart/xfsettingsd.desktop
%{_sysconfdir}/xdg/menus/xfce-settings-manager.menu
%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml
%{_sysconfdir}/xdg/xfce4/helpers.rc
%{_desktopdir}/xfce-display-settings.desktop
%{_desktopdir}/xfce-keyboard-settings.desktop
%{_desktopdir}/xfce-mouse-settings.desktop
%{_desktopdir}/xfce-settings-manager.desktop
%{_desktopdir}/xfce-ui-settings.desktop
%{_desktopdir}/xfce4-accessibility-settings.desktop
%{_desktopdir}/xfce4-color-settings.desktop
%{_desktopdir}/xfce4-file-manager.desktop
%{_desktopdir}/xfce4-mail-reader.desktop
%{_desktopdir}/xfce4-mime-settings.desktop
%{_desktopdir}/xfce4-settings-editor.desktop
%{_desktopdir}/xfce4-terminal-emulator.desktop
%{_desktopdir}/xfce4-web-browser.desktop
%dir %{_datadir}/xfce4/helpers
%{_datadir}/xfce4/helpers/*.desktop
%{_iconsdir}/hicolor/*x*/apps/*.png
%{_iconsdir}/hicolor/*x*/devices/xfce-display-*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_iconsdir}/hicolor/scalable/devices/*.svg
%changelog
* Sun Feb 09 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-settings.git;a=log;h=master

* Sun Feb 09 2025 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 80c8522
- up to 4.20.1

* Sat Dec 21 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 2a9ed04
- up to 4.20.0

* Tue Jun 11 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b44d451
- up to 4.18.6

* Sun Jun 09 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d77ee8d
- up to 4.18.5

* Thu Nov 30 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f444922
- up to 4.18.4

* Tue Jul 04 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 518649b
- up to 4.18.3

* Tue Feb 14 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 17d7b15
- up to 4.18.2

* Thu Dec 22 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3b78c8f
- up to 4.18.1

* Fri Dec 16 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 470092f
- up to 4.18.0

* Sun Nov 13 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 903f580
- up to 4.16.5

* Tue Nov 08 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 442831d
- up to 4.16.4

* Tue Jul 05 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 48a0694
- up to 4.16.3

* Fri Jul 01 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 38ed07f
- added libX11 1.8.1 compatibility patch, rel 2

* Tue Jun 08 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6c4dbae
- up to 4.16.2

* Mon Apr 12 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> f716905
- up to 4.16.1

* Mon Dec 28 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d73342f
- up to 4.16.0

* Wed Jul 22 2020 Krzysztof Mrozowicz <mrozowik@@pld-linux.org> 4d74355
- up tp version 4.14.3

* Wed Oct 09 2019 Jan Rękorajski <baggins@pld-linux.org> 28f9c2b
- up to 4.14.1

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> 53381c3
- up to 4.14.0

* Sun Jun 09 2019 Jan Rękorajski <baggins@pld-linux.org> 79db36b
- up to 4.13.6

